Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2014 23:10:39 +0200

> Date: Sat, 04 Jan 2014 12:53:26 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> >> Date: Sat, 04 Jan 2014 09:50:21 -0800
> >> From: Paul Eggert <[email-masked]>
> >>
> >> Defaulting to ASCII in all platforms would leave the original
> >> bug unfixed by default on all installations, causing the
> >> regression from `foo' to 'foo' that Drew Adams complained of.
> >
> > That's not an Emacs problem.  The Texinfo developers decided to make
> > that change, and they followed the GNU Coding Standards.  Emacs needs
> > to adapt, as the rest of the GNU project did.  If you think this is a
> > step backwards
> 
> Defaulting to ASCII in all platforms would not be not a Texinfo problem,
> as the ASCII transformation in the proposed patch is an Emacs-only hack.

I wasn't talking about ASCII transformation.  I was talking about
either avoiding the use of "@documentencoding utf-8" or using
"--disable-encoding" for those manuals that need non-ASCII text.